Bug 2238493 - Can't refocus blivet-gui, anaconda crashes on trying to launch it again (blivet-gui part)
Summary: Can't refocus blivet-gui, anaconda crashes on trying to launch it again (bliv...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: blivet-gui
Version: 39
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException AcceptedBlocker
Depends On:
Blocks: AnacondaWebUITracker F40BetaFreezeException F40FinalBlocker 2238282
TreeView+ depends on / blocked
 
Reported: 2023-09-12 08:19 UTC by Vojtech Trefny
Modified: 2023-09-20 14:19 UTC (History)
11 users (show)

Fixed In Version: blivet-gui-2.4.2-3.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2238282
Environment:
Last Closed: 2023-09-19 14:12:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Vojtech Trefny 2023-09-12 08:19:47 UTC
+++ This bug was initially created as a clone of Bug #2238282 +++

Installer WebUI Critical Error:
Modifying the storage failed. undefined: 

Problem #1: In the Install mode, when I misclick and click outside of blivet-gui window, the installer window gets focus. But as a regular user I don't know how to go back to blivet-gui. There's no task switcher, there's no Activities button in GNOME. (I could use Alt+Tab, but many users might not know/realize that).

Problem #2: If I do the logical thing and click on Modify Storage again, to launch blivet-gui again (or ideally re-focus it), I get an error that it can't be run more than once. Immediately after that, Anaconda crashes.

Reproducible: Always

Steps to Reproduce:
1. launch blivet-gui
2. "by accident" click outside of its window
3. try to go back to blivet-gui, without the knowledge of Alt+Tab - you can't
4. try to launch blivet-gui again
5. error -> crash


Expected Results:  
I can switch back to blivet-gui. Perhaps it should be launched fullscreen, or always on top. Or Anaconda should just switch back to it when I click Modify Storage again. Or we should do the installation in a full-featured GNOME environment.

--- Additional comment from Kamil Páral on 2023-09-11 08:21:56 UTC ---



--- Additional comment from Kamil Páral on 2023-09-11 08:22:39 UTC ---



--- Additional comment from Kamil Páral on 2023-09-11 08:25:18 UTC ---

Proposing for a blocker discussion. I think problem #1 is the main issue here, not #2. If the user misclicks, she can no longer configure her disk layout, thus possibly violating all installer disk management criteria.

--- Additional comment from Jiri Konecny on 2023-09-11 13:13:57 UTC ---

Thanks for reporting this Kamil.

I asked Ray about his opinion here and his reply was:
```
blivet likely needs some changes to make it a single instance application, so running it a second time causes the first instance to be raised. it might also want an always on top mode.
```

Vojto, do you think that is doable. May we switch this bug to blivet-gui?

--- Additional comment from Adam Williamson on 2023-09-11 15:30:10 UTC ---

+4 FE in https://pagure.io/fedora-qa/blocker-review/issue/1297 , marking accepted.

--- Additional comment from Geoffrey Marr on 2023-09-11 18:19:52 UTC ---

Discussed during the 2023-09-11 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker (Final)" was made as it violates all of the disk management criteria, in the case you manage to trigger this by clicking outside of the blivet-gui window.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2023-09-11/f39-blocker-review.2023-09-11-16.00.txt

--- Additional comment from Vojtech Trefny on 2023-09-12 08:18:12 UTC ---

upstream PRs for blivet-gui: https://github.com/storaged-project/blivet-gui/pull/411 and anaconda: https://github.com/rhinstaller/anaconda/pull/5163

Comment 1 Adam Williamson 2023-09-12 16:42:25 UTC
Why did we need a clone of this? We could just put the blivet-gui and anaconda builds together in a single update to fix the existing bug.

Comment 2 Adam Williamson 2023-09-12 22:22:36 UTC
As webUI has been deferred to F40, deferring the blocker and FE status of this bug.

Comment 3 Kamil Páral 2023-09-20 14:19:56 UTC
Tested with Fedora-Workstation-Live-x86_64-Rawhide-20230920.n.0.iso. Blivet-gui is now always on top, so you can't lose it. Thanks.


Note You need to log in before you can comment on or make changes to this bug.